//+------------------------------------------------------------------+
//|                                          KG Range Calculator.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property copyright "Copyright  2008, KG"

#property indicator_separate_window
//---- input parameters

int nDigits;
double SD_Max_Range=3;
double SD_Min_Range=1;
extern int MODE_MA=0;
extern int PRICE_TYPE=0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
IndicatorShortName("~");
   if(Symbol()=="GBPJPY" || Symbol()=="EURJPY" || Symbol()=="USDJPY" || Symbol()=="GOLD" || Symbol()=="USDMXN") nDigits = 2;
   if(Symbol()=="GBPUSD" || Symbol()=="EURUSD" || Symbol()=="NZDUSD" || Symbol()=="USDCHF"  ||
   Symbol()=="USDCAD" || Symbol()=="AUDUSD" || Symbol()=="EURUSD" || Symbol()=="EURCHF"  || Symbol()=="EURGBP"
   || Symbol()=="EURCAD" || Symbol()=="EURAUD" )nDigits = 4;

   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  // Comment(""); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   //----
   double RAvg,RAvgd,RAvgw,RAvgm;
   double   SL_Long=0,SL_Short=0;
   double  Current_Daily_Range=0;
   double  Current_Weekly_Range=0;
   double  Current_Monthly_Range=0;
   double   dlow0=0,dhigh0=0,wlow0=0,whigh0=0,mlow0=0,mhigh0=0;
   string   Text="";
   
   double dR1p=0,dR5p=0,dR10p=0,dR20p=0,RAvgp=0,RAvgdp=0,RAvgwp=0,RAvgmp=0;
   double wR1p=0,wR5p=0,wR10p=0,wR20p=0;
   double mR1p=0,mR5p=0,mR10p=0,mR20p=0;
   double R1p=0,R5p=0,R10p=0,R20p=0;
   
   double dR1,dR2,dR3,dR4,dR5,dR6,dR7,dR8,dR9,dR10,dR11,dR12,dR13,dR14,dR15,dR16,dR17,dR18,dR19,dR20;
   double wR1,wR2,wR3,wR4,wR5,wR6,wR7,wR8,wR9,wR10,wR11,wR12,wR13,wR14,wR15,wR16;
   double mR1,mR2,mR3,mR4,mR5,mR6,mR7,mR8,mR9,mR10,mR11,mR12;
   
   double dR1h,dR2h,dR3h,dR4h,dR5h,dR6h,dR7h,dR8h,dR9h,dR10h,dR11h,dR12h,dR13h,dR14h,dR15h,dR16h,dR17h,dR18h,dR19h,dR20h;
   double dR1l,dR2l,dR3l,dR4l,dR5l,dR6l,dR7l,dR8l,dR9l,dR10l,dR11l,dR12l,dR13l,dR14l,dR15l,dR16l,dR17l,dR18l,dR19l,dR20l;
   double wR1h,wR2h,wR3h,wR4h,wR5h,wR6h,wR7h,wR8h,wR9h,wR10h,wR11h,wR12h,wR13h,wR14h,wR15h,wR16h;
   double wR1l,wR2l,wR3l,wR4l,wR5l,wR6l,wR7l,wR8l,wR9l,wR10l,wR11l,wR12l,wR13l,wR14l,wR15l,wR16l;
   double mR1h,mR2h,mR3h,mR4h,mR5h,mR6h,mR7h,mR8h,mR9h,mR10h,mR11h,mR12h;
   double mR1l,mR2l,mR3l,mR4l,mR5l,mR6l,mR7l,mR8l,mR9l,mR10l,mR11l,mR12l;
   
   int i=0;

   double u1x5v, u1x8v, u1x13v, u1x21v, u1x34v;
   double u2x5v, u2x8v, u2x13v, u2x21v, u2x34v;
   double u3x5v, u3x8v, u3x13v, u3x21v, u3x34v;
   double u1acv, u2acv, u3acv;

   double d1x5v, d1x8v, d1x13v, d1x21v, d1x34v;
   double d2x5v, d2x8v, d2x13v, d2x21v, d2x34v;
   double d3x5v, d3x8v, d3x13v, d3x21v, d3x34v;
   double d1acv, d2acv, d3acv;

   double u1x5vd, u1x8vd, u1x13vd, u1x21vd, u1x34vd;
   double u2x5vd, u2x8vd, u2x13vd, u2x21vd, u2x34vd;
   double u3x5vd, u3x8vd, u3x13vd, u3x21vd, u3x34vd;
   double u1acvd, u2acvd, u3acvd;

   double d1x5vd, d1x8vd, d1x13vd, d1x21vd, d1x34vd;
   double d2x5vd, d2x8vd, d2x13vd, d2x21vd, d2x34vd;
   double d3x5vd, d3x8vd, d3x13vd, d3x21vd, d3x34vd;
   double d1acvd, d2acvd, d3acvd;

   double u1x5vw, u1x8vw, u1x13vw, u1x21vw, u1x34vw;
   double u2x5vw, u2x8vw, u2x13vw, u2x21vw, u2x34vw;
   double u3x5vw, u3x8vw, u3x13vw, u3x21vw, u3x34vw;
   double u1acvw, u2acvw, u3acvw;

   double d1x5vw, d1x8vw, d1x13vw, d1x21vw, d1x34vw;
   double d2x5vw, d2x8vw, d2x13vw, d2x21vw, d2x34vw;
   double d3x5vw, d3x8vw, d3x13vw, d3x21vw, d3x34vw;
   double d1acvw, d2acvw, d3acvw;

   //Daily range data
   dR1  = (iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/Point;
   dR2  = (iHigh(NULL,PERIOD_D1,2)-iLow(NULL,PERIOD_D1,2))/Point;
   dR3  = (iHigh(NULL,PERIOD_D1,3)-iLow(NULL,PERIOD_D1,3))/Point;
   dR4  = (iHigh(NULL,PERIOD_D1,4)-iLow(NULL,PERIOD_D1,4))/Point;
   dR5  = (iHigh(NULL,PERIOD_D1,5)-iLow(NULL,PERIOD_D1,5))/Point;         
   dR6  = (iHigh(NULL,PERIOD_D1,6)-iLow(NULL,PERIOD_D1,6))/Point;
   dR7  = (iHigh(NULL,PERIOD_D1,7)-iLow(NULL,PERIOD_D1,7))/Point;
   dR8  = (iHigh(NULL,PERIOD_D1,8)-iLow(NULL,PERIOD_D1,8))/Point;
   dR9  = (iHigh(NULL,PERIOD_D1,9)-iLow(NULL,PERIOD_D1,9))/Point;
   dR10 = (iHigh(NULL,PERIOD_D1,10)-iLow(NULL,PERIOD_D1,10))/Point;         
   dR11 = (iHigh(NULL,PERIOD_D1,11)-iLow(NULL,PERIOD_D1,11))/Point;
   dR12 = (iHigh(NULL,PERIOD_D1,12)-iLow(NULL,PERIOD_D1,12))/Point;
   dR13 = (iHigh(NULL,PERIOD_D1,13)-iLow(NULL,PERIOD_D1,13))/Point;
   dR14 = (iHigh(NULL,PERIOD_D1,14)-iLow(NULL,PERIOD_D1,14))/Point;
   dR15 = (iHigh(NULL,PERIOD_D1,15)-iLow(NULL,PERIOD_D1,15))/Point;         
   dR16 = (iHigh(NULL,PERIOD_D1,16)-iLow(NULL,PERIOD_D1,16))/Point;
   dR17 = (iHigh(NULL,PERIOD_D1,17)-iLow(NULL,PERIOD_D1,17))/Point;
   dR18 = (iHigh(NULL,PERIOD_D1,18)-iLow(NULL,PERIOD_D1,18))/Point;
   dR19 = (iHigh(NULL,PERIOD_D1,19)-iLow(NULL,PERIOD_D1,19))/Point;
   dR20 = (iHigh(NULL,PERIOD_D1,20)-iLow(NULL,PERIOD_D1,20))/Point;      
      
   //Weekly range data
   wR1  = (iHigh(NULL,PERIOD_W1,1)-iLow(NULL,PERIOD_W1,1))/Point;
   wR2  = (iHigh(NULL,PERIOD_W1,2)-iLow(NULL,PERIOD_W1,2))/Point;
   wR3  = (iHigh(NULL,PERIOD_W1,3)-iLow(NULL,PERIOD_W1,3))/Point;
   wR4  = (iHigh(NULL,PERIOD_W1,4)-iLow(NULL,PERIOD_W1,4))/Point;
   wR5  = (iHigh(NULL,PERIOD_W1,5)-iLow(NULL,PERIOD_W1,5))/Point;         
   wR6  = (iHigh(NULL,PERIOD_W1,6)-iLow(NULL,PERIOD_W1,6))/Point;
   wR7  = (iHigh(NULL,PERIOD_W1,7)-iLow(NULL,PERIOD_W1,7))/Point;
   wR8  = (iHigh(NULL,PERIOD_W1,8)-iLow(NULL,PERIOD_W1,8))/Point;
   wR9  = (iHigh(NULL,PERIOD_W1,9)-iLow(NULL,PERIOD_W1,9))/Point;
   wR10 = (iHigh(NULL,PERIOD_W1,10)-iLow(NULL,PERIOD_W1,10))/Point;         
   wR11 = (iHigh(NULL,PERIOD_W1,11)-iLow(NULL,PERIOD_W1,11))/Point;
   wR12 = (iHigh(NULL,PERIOD_W1,12)-iLow(NULL,PERIOD_W1,12))/Point;
   wR13 = (iHigh(NULL,PERIOD_W1,13)-iLow(NULL,PERIOD_W1,13))/Point;
   wR14 = (iHigh(NULL,PERIOD_W1,14)-iLow(NULL,PERIOD_W1,14))/Point;
   wR15 = (iHigh(NULL,PERIOD_W1,15)-iLow(NULL,PERIOD_W1,15))/Point;         
   wR16 = (iHigh(NULL,PERIOD_W1,16)-iLow(NULL,PERIOD_W1,16))/Point;
   
   //Monthly range data
   mR1  = (iHigh(NULL,PERIOD_MN1,1)-iLow(NULL,PERIOD_MN1,1))/Point;
   mR2  = (iHigh(NULL,PERIOD_MN1,2)-iLow(NULL,PERIOD_MN1,2))/Point;
   mR3  = (iHigh(NULL,PERIOD_MN1,3)-iLow(NULL,PERIOD_MN1,3))/Point;
   mR4  = (iHigh(NULL,PERIOD_MN1,4)-iLow(NULL,PERIOD_MN1,4))/Point;
   mR5  = (iHigh(NULL,PERIOD_MN1,5)-iLow(NULL,PERIOD_MN1,5))/Point;         
   mR6  = (iHigh(NULL,PERIOD_MN1,6)-iLow(NULL,PERIOD_MN1,6))/Point;
   mR7  = (iHigh(NULL,PERIOD_MN1,7)-iLow(NULL,PERIOD_MN1,7))/Point;
   mR8  = (iHigh(NULL,PERIOD_MN1,8)-iLow(NULL,PERIOD_MN1,8))/Point;
   mR9  = (iHigh(NULL,PERIOD_MN1,9)-iLow(NULL,PERIOD_MN1,9))/Point;
   mR10 = (iHigh(NULL,PERIOD_MN1,10)-iLow(NULL,PERIOD_MN1,10))/Point;         
   mR11 = (iHigh(NULL,PERIOD_MN1,11)-iLow(NULL,PERIOD_MN1,11))/Point;
   mR12 = (iHigh(NULL,PERIOD_MN1,12)-iLow(NULL,PERIOD_MN1,12))/Point;
   
   
   RAvgd=(dR1+dR2+dR3+dR4+dR5+dR6+dR7+dR8+dR9+dR10+dR11+dR12+dR13+dR14+dR15+dR16+dR17+dR18+dR19+dR20)/20;
   RAvgw=(wR1+wR2+wR3+wR4+wR5+wR6+wR7+wR8+wR9+wR10+wR11+wR12+wR13+wR14+wR15+wR16)/16;
   RAvgm=(mR1+mR2+mR3+mR4+mR5+mR6+mR7+mR8+mR9+mR10+mR11+mR12)/12;
   
   double drangesq=MathPow((dR1-RAvgd),2)+MathPow((dR2-RAvgd),2)+MathPow((dR3-RAvgd),2)+MathPow((dR4-RAvgd),2)+MathPow((dR5-RAvgd),2)+
                   MathPow((dR6-RAvgd),2)+MathPow((dR7-RAvgd),2)+MathPow((dR8-RAvgd),2)+MathPow((dR9-RAvgd),2)+MathPow((dR10-RAvgd),2)+
                   MathPow((dR11-RAvgd),2)+MathPow((dR12-RAvgd),2)+MathPow((dR13-RAvgd),2)+MathPow((dR14-RAvgd),2)+MathPow((dR15-RAvgd),2)+
                   MathPow((dR16-RAvgd),2)+MathPow((dR17-RAvgd),2)+MathPow((dR18-RAvgd),2)+MathPow((dR19-RAvgd),2)+MathPow((dR20-RAvgd),2);
   
   double wrangesq=MathPow(wR1-RAvgw,2)+MathPow(wR2-RAvgw,2)+MathPow(wR3-RAvgw,2)+MathPow(wR4-RAvgw,2)+MathPow(wR5-RAvgw,2)+
                   MathPow(wR6-RAvgw,2)+MathPow(wR7-RAvgw,2)+MathPow(wR8-RAvgw,2)+MathPow(wR9-RAvgw,2)+MathPow(wR10-RAvgw,2)+
                   MathPow(wR11-RAvgw,2)+MathPow(wR12-RAvgw,2)+MathPow(wR13-RAvgw,2)+MathPow(wR14-RAvgw,2)+MathPow(wR15-RAvgw,2)+
                   MathPow(wR16-RAvgw,2);
                   
   double mrangesq=MathPow(mR1-RAvgm,2)+MathPow(mR2-RAvgm,2)+MathPow(mR3-RAvgm,2)+MathPow(mR4-RAvgm,2)+MathPow(mR5-RAvgm,2)+
                   MathPow(mR6-RAvgm,2)+MathPow(mR7-RAvgm,2)+MathPow(mR8-RAvgm,2)+MathPow(mR9-RAvgm,2)+MathPow(mR10-RAvgm,2)+
                   MathPow(mR11-RAvgm,2)+MathPow(mR12-RAvgm,2);
      
   double dSDRangemax=SD_Max_Range*MathSqrt(drangesq/20);
   double wSDRangemax=SD_Max_Range*MathSqrt(wrangesq/16);
   double mSDRangemax=SD_Max_Range*MathSqrt(mrangesq/12);
   
   double dSDRangemin=SD_Min_Range*MathSqrt(drangesq/20);
   double wSDRangemin=SD_Min_Range*MathSqrt(wrangesq/16);
   double mSDRangemin=SD_Min_Range*MathSqrt(mrangesq/12);
   
   double dmax = RAvgd+dSDRangemax;
   double dmin = RAvgd-dSDRangemin;
   double wmax = RAvgw+wSDRangemax;
   double wmin = RAvgw-wSDRangemin;
   double mmax = RAvgm+mSDRangemax;
   double mmin = RAvgm-mSDRangemin;
   
   if (dmin<0) dmin=0;
   if (wmin<0) wmin=0;
   if (mmin<0) mmin=0;
   
   dlow0  =  iLow(NULL,PERIOD_D1,0);
   dhigh0 =  iHigh(NULL,PERIOD_D1,0);
   Current_Daily_Range =(dhigh0-dlow0)/Point;

   wlow0  =  iLow(NULL,PERIOD_W1,0);
   whigh0 =  iHigh(NULL,PERIOD_W1,0);
   Current_Weekly_Range =(whigh0-wlow0)/Point;
   
   mlow0  =  iLow(NULL,PERIOD_MN1,0);
   mhigh0 =  iHigh(NULL,PERIOD_MN1,0);
   Current_Monthly_Range =(mhigh0-mlow0)/Point;
   
   
//Percentage Calculations   

//Daily Percentage data

   dR1h  = 100*(iHigh(NULL,PERIOD_D1,1)-iOpen(NULL,PERIOD_D1,1))/iOpen(NULL,PERIOD_D1,1);
   dR2h  = 100*(iHigh(NULL,PERIOD_D1,2)-iOpen(NULL,PERIOD_D1,2))/iOpen(NULL,PERIOD_D1,2);
   dR3h  = 100*(iHigh(NULL,PERIOD_D1,3)-iOpen(NULL,PERIOD_D1,3))/iOpen(NULL,PERIOD_D1,3);
   dR4h  = 100*(iHigh(NULL,PERIOD_D1,4)-iOpen(NULL,PERIOD_D1,4))/iOpen(NULL,PERIOD_D1,4);
   dR5h  = 100*(iHigh(NULL,PERIOD_D1,5)-iOpen(NULL,PERIOD_D1,5))/iOpen(NULL,PERIOD_D1,5);         
   dR6h  = 100*(iHigh(NULL,PERIOD_D1,6)-iOpen(NULL,PERIOD_D1,6))/iOpen(NULL,PERIOD_D1,6);
   dR7h  = 100*(iHigh(NULL,PERIOD_D1,7)-iOpen(NULL,PERIOD_D1,7))/iOpen(NULL,PERIOD_D1,7);
   dR8h  = 100*(iHigh(NULL,PERIOD_D1,8)-iOpen(NULL,PERIOD_D1,8))/iOpen(NULL,PERIOD_D1,8);
   dR9h  = 100*(iHigh(NULL,PERIOD_D1,9)-iOpen(NULL,PERIOD_D1,9))/iOpen(NULL,PERIOD_D1,9);
   dR10h = 100*(iHigh(NULL,PERIOD_D1,10)-iOpen(NULL,PERIOD_D1,10))/iOpen(NULL,PERIOD_D1,10);         
   dR11h = 100*(iHigh(NULL,PERIOD_D1,11)-iOpen(NULL,PERIOD_D1,11))/iOpen(NULL,PERIOD_D1,11);
   dR12h = 100*(iHigh(NULL,PERIOD_D1,12)-iOpen(NULL,PERIOD_D1,12))/iOpen(NULL,PERIOD_D1,12);
   dR13h = 100*(iHigh(NULL,PERIOD_D1,13)-iOpen(NULL,PERIOD_D1,13))/iOpen(NULL,PERIOD_D1,13);
   dR14h = 100*(iHigh(NULL,PERIOD_D1,14)-iOpen(NULL,PERIOD_D1,14))/iOpen(NULL,PERIOD_D1,14);
   dR15h = 100*(iHigh(NULL,PERIOD_D1,15)-iOpen(NULL,PERIOD_D1,15))/iOpen(NULL,PERIOD_D1,15);         
   dR16h = 100*(iHigh(NULL,PERIOD_D1,16)-iOpen(NULL,PERIOD_D1,16))/iOpen(NULL,PERIOD_D1,16);
   dR17h = 100*(iHigh(NULL,PERIOD_D1,17)-iOpen(NULL,PERIOD_D1,17))/iOpen(NULL,PERIOD_D1,17);
   dR18h = 100*(iHigh(NULL,PERIOD_D1,18)-iOpen(NULL,PERIOD_D1,18))/iOpen(NULL,PERIOD_D1,18);
   dR19h = 100*(iHigh(NULL,PERIOD_D1,19)-iOpen(NULL,PERIOD_D1,19))/iOpen(NULL,PERIOD_D1,19);
   dR20h = 100*(iHigh(NULL,PERIOD_D1,20)-iOpen(NULL,PERIOD_D1,20))/iOpen(NULL,PERIOD_D1,20);        

   dR1l  = 100*(iOpen(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/iOpen(NULL,PERIOD_D1,1);
   dR2l  = 100*(iOpen(NULL,PERIOD_D1,2)-iLow(NULL,PERIOD_D1,2))/iOpen(NULL,PERIOD_D1,2);
   dR3l  = 100*(iOpen(NULL,PERIOD_D1,3)-iLow(NULL,PERIOD_D1,3))/iOpen(NULL,PERIOD_D1,3);
   dR4l  = 100*(iOpen(NULL,PERIOD_D1,4)-iLow(NULL,PERIOD_D1,4))/iOpen(NULL,PERIOD_D1,4);
   dR5l  = 100*(iOpen(NULL,PERIOD_D1,5)-iLow(NULL,PERIOD_D1,5))/iOpen(NULL,PERIOD_D1,5);         
   dR6l  = 100*(iOpen(NULL,PERIOD_D1,6)-iLow(NULL,PERIOD_D1,6))/iOpen(NULL,PERIOD_D1,6);
   dR7l  = 100*(iOpen(NULL,PERIOD_D1,7)-iLow(NULL,PERIOD_D1,7))/iOpen(NULL,PERIOD_D1,7);
   dR8l  = 100*(iOpen(NULL,PERIOD_D1,8)-iLow(NULL,PERIOD_D1,8))/iOpen(NULL,PERIOD_D1,8);
   dR9l  = 100*(iOpen(NULL,PERIOD_D1,9)-iLow(NULL,PERIOD_D1,9))/iOpen(NULL,PERIOD_D1,9);
   dR10l = 100*(iOpen(NULL,PERIOD_D1,10)-iLow(NULL,PERIOD_D1,10))/iOpen(NULL,PERIOD_D1,10);         
   dR11l = 100*(iOpen(NULL,PERIOD_D1,11)-iLow(NULL,PERIOD_D1,11))/iOpen(NULL,PERIOD_D1,11);
   dR12l = 100*(iOpen(NULL,PERIOD_D1,12)-iLow(NULL,PERIOD_D1,12))/iOpen(NULL,PERIOD_D1,12);
   dR13l = 100*(iOpen(NULL,PERIOD_D1,13)-iLow(NULL,PERIOD_D1,13))/iOpen(NULL,PERIOD_D1,13);
   dR14l = 100*(iOpen(NULL,PERIOD_D1,14)-iLow(NULL,PERIOD_D1,14))/iOpen(NULL,PERIOD_D1,14);
   dR15l = 100*(iOpen(NULL,PERIOD_D1,15)-iLow(NULL,PERIOD_D1,15))/iOpen(NULL,PERIOD_D1,15);         
   dR16l = 100*(iOpen(NULL,PERIOD_D1,16)-iLow(NULL,PERIOD_D1,16))/iOpen(NULL,PERIOD_D1,16);
   dR17l = 100*(iOpen(NULL,PERIOD_D1,17)-iLow(NULL,PERIOD_D1,17))/iOpen(NULL,PERIOD_D1,17);
   dR18l = 100*(iOpen(NULL,PERIOD_D1,18)-iLow(NULL,PERIOD_D1,18))/iOpen(NULL,PERIOD_D1,18);
   dR19l = 100*(iOpen(NULL,PERIOD_D1,19)-iLow(NULL,PERIOD_D1,19))/iOpen(NULL,PERIOD_D1,19);
   dR20l = 100*(iOpen(NULL,PERIOD_D1,20)-iLow(NULL,PERIOD_D1,20))/iOpen(NULL,PERIOD_D1,20);      
   
   //Weekly Percentage data

   wR1h  = 100*(iHigh(NULL,PERIOD_W1,1)-iOpen(NULL,PERIOD_W1,1))/iOpen(NULL,PERIOD_W1,1);
   wR2h  = 100*(iHigh(NULL,PERIOD_W1,2)-iOpen(NULL,PERIOD_W1,2))/iOpen(NULL,PERIOD_W1,2);
   wR3h  = 100*(iHigh(NULL,PERIOD_W1,3)-iOpen(NULL,PERIOD_W1,3))/iOpen(NULL,PERIOD_W1,3);
   wR4h  = 100*(iHigh(NULL,PERIOD_W1,4)-iOpen(NULL,PERIOD_W1,4))/iOpen(NULL,PERIOD_W1,4);
   wR5h  = 100*(iHigh(NULL,PERIOD_W1,5)-iOpen(NULL,PERIOD_W1,5))/iOpen(NULL,PERIOD_W1,5);         
   wR6h  = 100*(iHigh(NULL,PERIOD_W1,6)-iOpen(NULL,PERIOD_W1,6))/iOpen(NULL,PERIOD_W1,6);
   wR7h  = 100*(iHigh(NULL,PERIOD_W1,7)-iOpen(NULL,PERIOD_W1,7))/iOpen(NULL,PERIOD_W1,7);
   wR8h  = 100*(iHigh(NULL,PERIOD_W1,8)-iOpen(NULL,PERIOD_W1,8))/iOpen(NULL,PERIOD_W1,8);
   wR9h  = 100*(iHigh(NULL,PERIOD_W1,9)-iOpen(NULL,PERIOD_W1,9))/iOpen(NULL,PERIOD_W1,9);
   wR10h = 100*(iHigh(NULL,PERIOD_W1,10)-iOpen(NULL,PERIOD_W1,10))/iOpen(NULL,PERIOD_W1,10);         
   wR11h = 100*(iHigh(NULL,PERIOD_W1,11)-iOpen(NULL,PERIOD_W1,11))/iOpen(NULL,PERIOD_W1,11);
   wR12h = 100*(iHigh(NULL,PERIOD_W1,12)-iOpen(NULL,PERIOD_W1,12))/iOpen(NULL,PERIOD_W1,12);
   wR13h = 100*(iHigh(NULL,PERIOD_W1,13)-iOpen(NULL,PERIOD_W1,13))/iOpen(NULL,PERIOD_W1,13);
   wR14h = 100*(iHigh(NULL,PERIOD_W1,14)-iOpen(NULL,PERIOD_W1,14))/iOpen(NULL,PERIOD_W1,14);
   wR15h = 100*(iHigh(NULL,PERIOD_W1,15)-iOpen(NULL,PERIOD_W1,15))/iOpen(NULL,PERIOD_W1,15);         
   wR16h = 100*(iHigh(NULL,PERIOD_W1,16)-iOpen(NULL,PERIOD_W1,16))/iOpen(NULL,PERIOD_W1,16);
   
   wR1l  = 100*(iOpen(NULL,PERIOD_W1,1)-iLow(NULL,PERIOD_W1,1))/iOpen(NULL,PERIOD_W1,1);
   wR2l  = 100*(iOpen(NULL,PERIOD_W1,2)-iLow(NULL,PERIOD_W1,2))/iOpen(NULL,PERIOD_W1,2);
   wR3l  = 100*(iOpen(NULL,PERIOD_W1,3)-iLow(NULL,PERIOD_W1,3))/iOpen(NULL,PERIOD_W1,3);
   wR4l  = 100*(iOpen(NULL,PERIOD_W1,4)-iLow(NULL,PERIOD_W1,4))/iOpen(NULL,PERIOD_W1,4);
   wR5l  = 100*(iOpen(NULL,PERIOD_W1,5)-iLow(NULL,PERIOD_W1,5))/iOpen(NULL,PERIOD_W1,5);         
   wR6l  = 100*(iOpen(NULL,PERIOD_W1,6)-iLow(NULL,PERIOD_W1,6))/iOpen(NULL,PERIOD_W1,6);
   wR7l  = 100*(iOpen(NULL,PERIOD_W1,7)-iLow(NULL,PERIOD_W1,7))/iOpen(NULL,PERIOD_W1,7);
   wR8l  = 100*(iOpen(NULL,PERIOD_W1,8)-iLow(NULL,PERIOD_W1,8))/iOpen(NULL,PERIOD_W1,8);
   wR9l  = 100*(iOpen(NULL,PERIOD_W1,9)-iLow(NULL,PERIOD_W1,9))/iOpen(NULL,PERIOD_W1,9);
   wR10l = 100*(iOpen(NULL,PERIOD_W1,10)-iLow(NULL,PERIOD_W1,10))/iOpen(NULL,PERIOD_W1,10);         
   wR11l = 100*(iOpen(NULL,PERIOD_W1,11)-iLow(NULL,PERIOD_W1,11))/iOpen(NULL,PERIOD_W1,11);
   wR12l = 100*(iOpen(NULL,PERIOD_W1,12)-iLow(NULL,PERIOD_W1,12))/iOpen(NULL,PERIOD_W1,12);
   wR13l = 100*(iOpen(NULL,PERIOD_W1,13)-iLow(NULL,PERIOD_W1,13))/iOpen(NULL,PERIOD_W1,13);
   wR14l = 100*(iOpen(NULL,PERIOD_W1,14)-iLow(NULL,PERIOD_W1,14))/iOpen(NULL,PERIOD_W1,14);
   wR15l = 100*(iOpen(NULL,PERIOD_W1,15)-iLow(NULL,PERIOD_W1,15))/iOpen(NULL,PERIOD_W1,15);         
   wR16l = 100*(iOpen(NULL,PERIOD_W1,16)-iLow(NULL,PERIOD_W1,16))/iOpen(NULL,PERIOD_W1,16);
       
      
   //Monthly Percentage data

   mR1h  = 100*(iHigh(NULL,PERIOD_MN1,1)-iOpen(NULL,PERIOD_MN1,1))/iOpen(NULL,PERIOD_MN1,1);
   mR2h  = 100*(iHigh(NULL,PERIOD_MN1,2)-iOpen(NULL,PERIOD_MN1,2))/iOpen(NULL,PERIOD_MN1,2);
   mR3h  = 100*(iHigh(NULL,PERIOD_MN1,3)-iOpen(NULL,PERIOD_MN1,3))/iOpen(NULL,PERIOD_MN1,3);
   mR4h  = 100*(iHigh(NULL,PERIOD_MN1,4)-iOpen(NULL,PERIOD_MN1,4))/iOpen(NULL,PERIOD_MN1,4);
   mR5h  = 100*(iHigh(NULL,PERIOD_MN1,5)-iOpen(NULL,PERIOD_MN1,5))/iOpen(NULL,PERIOD_MN1,5);         
   mR6h  = 100*(iHigh(NULL,PERIOD_MN1,6)-iOpen(NULL,PERIOD_MN1,6))/iOpen(NULL,PERIOD_MN1,6);
   mR7h  = 100*(iHigh(NULL,PERIOD_MN1,7)-iOpen(NULL,PERIOD_MN1,7))/iOpen(NULL,PERIOD_MN1,7);
   mR8h  = 100*(iHigh(NULL,PERIOD_MN1,8)-iOpen(NULL,PERIOD_MN1,8))/iOpen(NULL,PERIOD_MN1,8);
   mR9h  = 100*(iHigh(NULL,PERIOD_MN1,9)-iOpen(NULL,PERIOD_MN1,9))/iOpen(NULL,PERIOD_MN1,9);
   mR10h = 100*(iHigh(NULL,PERIOD_MN1,10)-iOpen(NULL,PERIOD_MN1,10))/iOpen(NULL,PERIOD_MN1,10);         
   mR11h = 100*(iHigh(NULL,PERIOD_MN1,11)-iOpen(NULL,PERIOD_MN1,11))/iOpen(NULL,PERIOD_MN1,11);
   mR12h = 100*(iHigh(NULL,PERIOD_MN1,12)-iOpen(NULL,PERIOD_MN1,12))/iOpen(NULL,PERIOD_MN1,12);
   
   mR1l  = 100*(iOpen(NULL,PERIOD_MN1,1)-iLow(NULL,PERIOD_MN1,1))/iOpen(NULL,PERIOD_MN1,1);
   mR2l  = 100*(iOpen(NULL,PERIOD_MN1,2)-iLow(NULL,PERIOD_MN1,2))/iOpen(NULL,PERIOD_MN1,2);
   mR3l  = 100*(iOpen(NULL,PERIOD_MN1,3)-iLow(NULL,PERIOD_MN1,3))/iOpen(NULL,PERIOD_MN1,3);
   mR4l  = 100*(iOpen(NULL,PERIOD_MN1,4)-iLow(NULL,PERIOD_MN1,4))/iOpen(NULL,PERIOD_MN1,4);
   mR5l  = 100*(iOpen(NULL,PERIOD_MN1,5)-iLow(NULL,PERIOD_MN1,5))/iOpen(NULL,PERIOD_MN1,5);         
   mR6l  = 100*(iOpen(NULL,PERIOD_MN1,6)-iLow(NULL,PERIOD_MN1,6))/iOpen(NULL,PERIOD_MN1,6);
   mR7l  = 100*(iOpen(NULL,PERIOD_MN1,7)-iLow(NULL,PERIOD_MN1,7))/iOpen(NULL,PERIOD_MN1,7);
   mR8l  = 100*(iOpen(NULL,PERIOD_MN1,8)-iLow(NULL,PERIOD_MN1,8))/iOpen(NULL,PERIOD_MN1,8);
   mR9l  = 100*(iOpen(NULL,PERIOD_MN1,9)-iLow(NULL,PERIOD_MN1,9))/iOpen(NULL,PERIOD_MN1,9);
   mR10l = 100*(iOpen(NULL,PERIOD_MN1,10)-iLow(NULL,PERIOD_MN1,10))/iOpen(NULL,PERIOD_MN1,10);         
   mR11l = 100*(iOpen(NULL,PERIOD_MN1,11)-iLow(NULL,PERIOD_MN1,11))/iOpen(NULL,PERIOD_MN1,11);
   mR12l = 100*(iOpen(NULL,PERIOD_MN1,12)-iLow(NULL,PERIOD_MN1,12))/iOpen(NULL,PERIOD_MN1,12);
   
   RAvgdp=(Current_Daily_Range/RAvgd)*100;//(dR1h+dR2h+dR3h+dR4h+dR5h+dR6h+dR7h+dR8h+dR9h+dR10h+dR11h+dR12h+dR13h+dR14h+dR15h+dR16h+dR17h+dR18h+dR19h+dR20h+
           //dR1l+dR2l+dR3l+dR4l+dR5l+dR6l+dR7l+dR8l+dR9l+dR10l+dR11l+dR12l+dR13l+dR14l+dR15l+dR16l+dR17l+dR18l+dR19l+dR20l)/40;
   RAvgwp=(Current_Weekly_Range/RAvgw)*100;//(wR1h+wR2h+wR3h+wR4h+wR5h+wR6h+wR7h+wR8h+wR9h+wR10h+wR11h+wR12h+wR13h+wR14h+wR15h+wR16h+
           //wR1l+wR2l+wR3l+wR4l+wR5l+wR6l+wR7l+wR8l+wR9l+wR10l+wR11l+wR12l+wR13l+wR14l+wR15l+wR16l)/32;
   RAvgmp=(Current_Monthly_Range/RAvgm)*100;//(mR1h+mR2h+mR3h+mR4h+mR5h+mR6h+mR7h+mR8h+mR9h+mR10h+mR11h+mR12h+
           //mR1l+mR2l+mR3l+mR4l+mR5l+mR6l+mR7l+mR8l+mR9l+mR10l+mR11l+mR12l)/24;
           

       
   string P=Period();
  
   
        
        ObjectCreate("TSR2", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR2","Avg Daily Range:", 10, "Arial", CadetBlue);
        ObjectSet("TSR2", OBJPROP_CORNER, 0);
        ObjectSet("TSR2", OBJPROP_XDISTANCE, 25);
        ObjectSet("TSR2", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR3", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR3",DoubleToStr(RAvgd ,0),10, "Arial", DarkOrange);
        ObjectSet("TSR3", OBJPROP_CORNER, 0);
        ObjectSet("TSR3", OBJPROP_XDISTANCE, 155);
        ObjectSet("TSR3", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR4", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR4","Avg Weekly Range:", 10, "Arial", CadetBlue);
        ObjectSet("TSR4", OBJPROP_CORNER, 0);
        ObjectSet("TSR4", OBJPROP_XDISTANCE, 25);
        ObjectSet("TSR4", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR5", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR5",DoubleToStr(RAvgw,0),10, "Arial", DarkOrange);
        ObjectSet("TSR5", OBJPROP_CORNER, 0);
        ObjectSet("TSR5", OBJPROP_XDISTANCE, 155);
        ObjectSet("TSR5", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR6", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR6","Avg Monthly Range:", 10, "Arial", CadetBlue);
        ObjectSet("TSR6", OBJPROP_CORNER, 0);
        ObjectSet("TSR6", OBJPROP_XDISTANCE, 25);
        ObjectSet("TSR6", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR7", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR7",DoubleToStr(RAvgm,0),10, "Arial", DarkOrange);
        ObjectSet("TSR7", OBJPROP_CORNER, 0);
        ObjectSet("TSR7", OBJPROP_XDISTANCE, 155);
        ObjectSet("TSR7", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR8", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR8","Curr Weekly Range:", 10, "Arial", CadetBlue);
        ObjectSet("TSR8", OBJPROP_CORNER, 0);
        ObjectSet("TSR8", OBJPROP_XDISTANCE, 200);
        ObjectSet("TSR8", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR9", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR9",DoubleToStr(Current_Weekly_Range,0),10, "Arial", Green);
        ObjectSet("TSR9", OBJPROP_CORNER, 0);
        ObjectSet("TSR9", OBJPROP_XDISTANCE, 330);
        ObjectSet("TSR9", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR10", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR10","Curr Monthly Range:", 10, "Arial", CadetBlue);
        ObjectSet("TSR10", OBJPROP_CORNER, 0);
        ObjectSet("TSR10", OBJPROP_XDISTANCE, 200);
        ObjectSet("TSR10", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR11", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR11",DoubleToStr(Current_Monthly_Range,0),10, "Arial", Green);
        ObjectSet("TSR11", OBJPROP_CORNER, 0);
        ObjectSet("TSR11", OBJPROP_XDISTANCE, 330);
        ObjectSet("TSR11", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR31", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR31","Sd1:", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR31", OBJPROP_CORNER, 0);
        ObjectSet("TSR31", OBJPROP_XDISTANCE, 380);
        ObjectSet("TSR31", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR32", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR32",DoubleToStr(dmin,0),10, "Arial", Magenta);
        ObjectSet("TSR32", OBJPROP_CORNER, 0);
        ObjectSet("TSR32", OBJPROP_XDISTANCE, 410);
        ObjectSet("TSR32", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR12", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR12","Sd1:", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR12", OBJPROP_CORNER, 0);
        ObjectSet("TSR12", OBJPROP_XDISTANCE, 380);
        ObjectSet("TSR12", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR13", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR13",DoubleToStr(wmin,0),10, "Arial", Magenta);
        ObjectSet("TSR13", OBJPROP_CORNER, 0);
        ObjectSet("TSR13", OBJPROP_XDISTANCE, 410);
        ObjectSet("TSR13", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR14", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR14","Sd1:", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR14", OBJPROP_CORNER, 0);
        ObjectSet("TSR14", OBJPROP_XDISTANCE, 380);
        ObjectSet("TSR14", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR15", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR15",DoubleToStr(mmin,0),10, "Arial", Magenta);
        ObjectSet("TSR15", OBJPROP_CORNER, 0);
        ObjectSet("TSR15", OBJPROP_XDISTANCE, 410);
        ObjectSet("TSR15", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR33", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR33","Sd3:", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR33", OBJPROP_CORNER, 0);
        ObjectSet("TSR33", OBJPROP_XDISTANCE, 450);
        ObjectSet("TSR33", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR34", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR34",DoubleToStr(dmax,0),10, "Arial", MediumBlue);
        ObjectSet("TSR34", OBJPROP_CORNER, 0);
        ObjectSet("TSR34", OBJPROP_XDISTANCE, 485);
        ObjectSet("TSR34", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR35", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR35","Sd3:", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR35", OBJPROP_CORNER, 0);
        ObjectSet("TSR35", OBJPROP_XDISTANCE, 450);
        ObjectSet("TSR35", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR36", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR36",DoubleToStr(wmax,0),10, "Arial", MediumBlue);
        ObjectSet("TSR36", OBJPROP_CORNER, 0);
        ObjectSet("TSR36", OBJPROP_XDISTANCE, 485);
        ObjectSet("TSR36", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR37", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR37","Sd3:", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR37", OBJPROP_CORNER, 0);
        ObjectSet("TSR37", OBJPROP_XDISTANCE, 450);
        ObjectSet("TSR37", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR38", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR38",DoubleToStr(mmax,0),10, "Arial", MediumBlue);
        ObjectSet("TSR38", OBJPROP_CORNER, 0);
        ObjectSet("TSR38", OBJPROP_XDISTANCE, 485);
        ObjectSet("TSR38", OBJPROP_YDISTANCE, 35);
        
        ObjectCreate("TSR16", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR16","Daily Range",10, "Arial", CadetBlue);
        ObjectSet("TSR16", OBJPROP_CORNER, 0);
        ObjectSet("TSR16", OBJPROP_XDISTANCE, 535);
        ObjectSet("TSR16", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR17", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR17","Weekly Range", 10, "Arial", CadetBlue);
        ObjectSet("TSR17", OBJPROP_CORNER, 0);
        ObjectSet("TSR17", OBJPROP_XDISTANCE, 535);
        ObjectSet("TSR17", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR19", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR19","Monthly Range", 10, "Arial", CadetBlue);
        ObjectSet("TSR19", OBJPROP_CORNER, 0);
        ObjectSet("TSR19", OBJPROP_XDISTANCE, 535);
        ObjectSet("TSR19", OBJPROP_YDISTANCE, 35);        
        
        ObjectCreate("TSR39", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR39",":", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR39", OBJPROP_CORNER, 0);
        ObjectSet("TSR39", OBJPROP_XDISTANCE, 629);
        ObjectSet("TSR39", OBJPROP_YDISTANCE, 35);  
        
        ObjectCreate("TSR40", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR40",":", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR40", OBJPROP_CORNER, 0);
        ObjectSet("TSR40", OBJPROP_XDISTANCE, 629);
        ObjectSet("TSR40", OBJPROP_YDISTANCE, 20); 
        
        ObjectCreate("TSR41", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR41",":", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR41", OBJPROP_CORNER, 0);
        ObjectSet("TSR41", OBJPROP_XDISTANCE, 629);
        ObjectSet("TSR41", OBJPROP_YDISTANCE, 5);    
        
        ObjectCreate("TSR18", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR18",DoubleToStr(RAvgdp ,1),10, "Arial", Red);
        ObjectSet("TSR18", OBJPROP_CORNER, 0);
        ObjectSet("TSR18", OBJPROP_XDISTANCE, 645);
        ObjectSet("TSR18", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR21", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR21",DoubleToStr(RAvgwp ,1),10, "Arial", Red);
        ObjectSet("TSR21", OBJPROP_CORNER, 0);
        ObjectSet("TSR21", OBJPROP_XDISTANCE, 645);
        ObjectSet("TSR21", OBJPROP_YDISTANCE, 20);
        
        ObjectCreate("TSR22", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR22",DoubleToStr(RAvgmp ,1),10, "Arial",Red);
        ObjectSet("TSR22", OBJPROP_CORNER, 0);
        ObjectSet("TSR22", OBJPROP_XDISTANCE, 645);
        ObjectSet("TSR22", OBJPROP_YDISTANCE, 35);
        
        
        ObjectCreate("TSR3911", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR3911","%", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR3911", OBJPROP_CORNER, 0);
        ObjectSet("TSR3911", OBJPROP_XDISTANCE, 680);
        ObjectSet("TSR3911", OBJPROP_YDISTANCE, 35);  
        
        ObjectCreate("TSR4011", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR4011","%", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR4011", OBJPROP_CORNER, 0);
        ObjectSet("TSR4011", OBJPROP_XDISTANCE, 680);
        ObjectSet("TSR4011", OBJPROP_YDISTANCE, 20); 
        
        ObjectCreate("TSR4111", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR4111","%", 10, "Arial Bold", CadetBlue);
        ObjectSet("TSR4111", OBJPROP_CORNER, 0);
        ObjectSet("TSR4111", OBJPROP_XDISTANCE, 680);
        ObjectSet("TSR4111", OBJPROP_YDISTANCE, 5);    
        
        
        ObjectCreate("TSR23", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR23","Curr Daily Range:", 10, "Arial", CadetBlue);
        ObjectSet("TSR23", OBJPROP_CORNER, 0);
        ObjectSet("TSR23", OBJPROP_XDISTANCE, 200);
        ObjectSet("TSR23", OBJPROP_YDISTANCE, 5);
        
        ObjectCreate("TSR24", OBJ_LABEL, WindowFind("~"), 0, 0);
        ObjectSetText("TSR24",DoubleToStr( Current_Daily_Range ,0),10, "Arial", Green);
        ObjectSet("TSR24", OBJPROP_CORNER, 0);
        ObjectSet("TSR24", OBJPROP_XDISTANCE, 330);
        ObjectSet("TSR24", OBJPROP_YDISTANCE, 5);
        
        

   return(0);
  }
//+------------------------------------------------------------------+